package com.gct.dataengine.controller.ElementEngine;


import com.gct.common.core.result.Result;
import com.gct.dataengine.service.ElementEngine.InteractiveElementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.sql.ResultSet;
import java.util.Map;

/**
 * <p>
 * 可交互元素表 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@RestController
@RequestMapping("/interactiveElement")
public class InteractiveElementController {

    @Autowired
    InteractiveElementService interactiveElementService;

    @PostMapping("/collectingComponent")
    public Result collectingComponent(@RequestBody Map<String, String> paramMap){
        return Result.ok(interactiveElementService.collectingComponent(paramMap));
    }

    @GetMapping("/collectingList")
    public Result collectingList(){
        return Result.ok(interactiveElementService.collectingList());
    }
    @PostMapping("/cancelCollect")
    public Result cancelCollect(@RequestBody Map<String, String> paramMap){
        return Result.ok(interactiveElementService.cancelCollect(paramMap));
    }
}

