package com.gct.dataengine.controller.OssBase;


import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.SupportedDriverFileType;
import com.gct.dataengine.service.OssBase.SupportedDriverFileTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 驱动文件类型 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@RestController
@RequestMapping("/supportedDriverFileType")
public class SupportedDriverFileTypeController {

    @Autowired
    SupportedDriverFileTypeService supportedDriverFileTypeService;

    @GetMapping("/getList")
    public Result getList(){
        return Result.ok(supportedDriverFileTypeService.getList());
    }
}

