package com.gct.dataengine.controller.OssBase;


import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.SupportedTempType;
import com.gct.dataengine.service.OssBase.SupportedTempTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 模板类型(不包括组态工具中的元素) 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@RestController
@RequestMapping("/supportedTempType")
public class SupportedTempTypeController {

    @Autowired
    SupportedTempTypeService supportedTempTypeService;

    @GetMapping("/getList")
    public Result getSupportTempTypeList(@RequestParam("tempType") String tempType,
                                         @RequestParam("shortName") String shortName){
        return Result.ok(supportedTempTypeService.getList(tempType,shortName));
    }

    @PostMapping("/saveOrUpdateTempType")
    public Result saveOrUpdateSupportTempType(@RequestBody SupportedTempType supportedTempType){
        return Result.ok(supportedTempTypeService.saveOrUpdateTempType(supportedTempType));
    }
}

