package com.gct.dataengine.entity.FileProcess.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "上传文件的vo对象", description = "")
public class UploadFileVo {

    @ApiModelProperty(value = "上传的文件本体")
    private File  file;

    @ApiModelProperty(value = "存在相同文件时是否覆盖 true or false")
    private String cover;

    /*@ApiModelProperty(value = "过期时间,单位是天")
    private int expiry;*/

}
