package com.gct.dataengine.entity.OssBase.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * class name: EditTemplateVo
 *
 * @author gxt
 * @version 1.0
 * @since 2022/7/18 下午4:33 周一
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value="EditTemplateVo对象", description="视图模板的编辑vo对象")
public class EditTemplateVo {

    @ApiModelProperty(value = "视图模板id")
    private String templateId;
    @ApiModelProperty(value = "视图模板名字")
    private String tempName;
    @ApiModelProperty(value = "分组id")
    private String groupId;
    @ApiModelProperty(value = "设备模板id")
    private String equipmentId;
    @ApiModelProperty(value = "图片地址")
    private String img;
    @ApiModelProperty(value = "ip")
    private String ip;
    @ApiModelProperty(value = "端口")
    private String port;
    @ApiModelProperty(value = "协议")
    private String protocol;
    @ApiModelProperty(value = "标签,多个用逗号分隔")
    private String tag;

}
