package com.gct.dataengine.mapper.OssBase;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dataengine.entity.OssBase.OssTemplateFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 模板文件存储 Mapper 接口
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@DS("ossBase")
public interface OssTemplateFileMapper extends BaseMapper<OssTemplateFile> {

    Page<Map<String,Object>> getTemplateFileListByGroup(Page<Map<String,Object>> page,@Param("tempType") String tempType, @Param("groupId") String groupId);

    List<Map<String,Object>> getMatchTempList(String tempType,String matchStr,String groupId);

    void batchControlTemplateFileByGroupId(String groupId, Boolean enable, String tempType);

    void deleteGroupTempExcludeRoot(String excludeId, String groupId, String tempType);
}
