package com.gct.dataengine.service.MachineEngine;

import com.alibaba.fastjson.JSONObject;
import com.gct.dataengine.entity.MachineEngine.ModbusTcpImportTemplate;
import com.gct.dataengine.entity.OssBase.OssTemplateFile;
import com.gct.dataengine.entity.OssBase.vo.AddTemplateFileVo;
import com.gct.dataengine.entity.OssBase.vo.TemplateTaskVo;
import com.gct.dataengine.template.entity.xml.TemplateDefinition;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xusirui 2022/6/6
 */
@Service
public interface MachineTemplateService {

    TemplateDefinition getTemplateById(String id);

    boolean updateTemplateById(String id, TemplateDefinition templateDefinition);

    boolean disableTemplate(OssTemplateFile ossTemplateFile);

    List<TemplateTaskVo> getEnabledTemplate();

    boolean addTemplateFileByGroup(AddTemplateFileVo getTemplateFileVo);

    boolean deleteTemplateFile(OssTemplateFile ossTemplateFile);

    JSONObject enableTemplate(OssTemplateFile ossTemplateFile);

    boolean copyTemplateFileByGroup(AddTemplateFileVo addTemplateFileVo);

    void copyTemplateFileFromBaseTemp(ModbusTcpImportTemplate modbusTcpImportTemplate, String protocol, String baseTemplateId,String groupId);
}
