package com.gct.dataengine.service.OssBase;

import com.gct.dataengine.entity.OssBase.OssDriverFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dataengine.entity.OssBase.vo.FileLocationVo;

import java.util.List;

/**
 * <p>
 * 驱动信息存储 服务类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
public interface OssDriverFileService extends IService<OssDriverFile> {

    List<OssDriverFile> getList(String driverName,String filterTag,Integer usable,String fileType);

    boolean saveOrUpdateDriverFile(OssDriverFile ossDriverFile);

    boolean deleteById(String id);

    String getMaxDriverVersion(String driverName);


    FileLocationVo getFileLocation(String driverName, Double limitVersion);
}
