package com.gct.dataengine.controller.ElementEngine;

import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.ElementEngine.StaticElement;
import com.gct.dataengine.service.ElementEngine.StaticElementService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * class name: ElementEngineController
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/30 下午4:25 周一
 */
@Api(value = "视图相关文件处理")
@RestController
@RequestMapping("/elementEngine")
public class StaticElementController {

    @Autowired
    StaticElementService staticElementService;
    @PostMapping("/saveOrpUpdateStaticElement")
    public Result saveOrpUpdateStaticElement(@RequestBody StaticElement staticElement){
        return Result.ok(staticElementService.saveOrpUpdateStaticElement(staticElement));
    }
}
