package com.gct.dataengine.controller.OssBase;


import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.InpaMapRelation;
import com.gct.dataengine.service.OssBase.InpaMapRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lijian
 * @since 2022-06-28
 */
@RestController
@RequestMapping("/MappingRelation")
public class InpaMapRelationController {

    @Autowired
    InpaMapRelationService inpaMapRelationService;


    @PostMapping("/addMappingRelation")
    public Result addMappingRelation(@RequestBody InpaMapRelation inpaMapRelation) {
        return Result.ok(inpaMapRelationService.addMappingRelation(inpaMapRelation));
    }

    @GetMapping("/deleteMappingRelation")
    public Result deleteMappingRelation(@RequestParam("pId") String pId, @RequestParam("mId") String mId) {
        return Result.ok(inpaMapRelationService.deleteMappingRelation(mId, pId));
    }

}

