package com.gct.dataengine.controller.ViewEngine;

import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.vo.AddTemplateFileVo;
import com.gct.dataengine.service.ViewEngine.ViewTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * class name: ViewEngineController
 *
 * @author gxt
 * @version 1.0
 * @since 2022/6/24 下午4:01 周五
 */
@RestController
@RequestMapping("/view/template")
public class ViewEngineTemplateController {

    @Autowired
    ViewTemplateService viewTemplateService;

    @PostMapping("/save")
    public Result saveViewTemplate(@RequestBody AddTemplateFileVo addTemplateFileVo){
        return Result.ok(viewTemplateService.saveTemplateByGroup(addTemplateFileVo));
    }
}
