package com.gct.dataengine.entity.MachineEngine;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.gct.dataengine.service.MachineEngine.MachineTemplateService;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xusirui 2022/8/25
 */
public class ImportTemplateListener extends AnalysisEventListener<ModbusTcpImportTemplate> {

    MachineTemplateService machineTemplateService;

    String protocol;

    String baseTemplateId;

    String groupId;

    public ImportTemplateListener(MachineTemplateService machineTemplateService,String protocol,String baseTemplateId,String groupId){
        this.machineTemplateService = machineTemplateService;
        this.protocol = protocol;
        this.baseTemplateId = baseTemplateId;
        this.groupId = groupId;
    }

    @Override
    public void invoke(ModbusTcpImportTemplate modbusTcpImportTemplate, AnalysisContext analysisContext) {
       machineTemplateService.copyTemplateFileFromBaseTemp(modbusTcpImportTemplate,protocol,baseTemplateId,groupId);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
