package com.gct.dataengine.ossUtil;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * class name: OssProperties
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/25 下午3:23 周三
 */
@Data
@ConfigurationProperties(prefix = "oss.minio")
public class MinioProperties {

    private String ip;
    private Integer port;
    private String accessKey;
    private String secretKey;
    private boolean secure;
}
