package com.gct.dataengine.service.ElementEngine;

import com.gct.dataengine.entity.ElementEngine.InteractiveElement;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dataengine.entity.OssBase.vo.CollectResultVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 可交互元素表 服务类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
public interface InteractiveElementService extends IService<InteractiveElement> {

    boolean collectingComponent(Map<String, String> paramMap);

    List<CollectResultVo> collectingList();

    boolean cancelCollect(Map<String, String> paramMap);
}
