package com.gct.dataengine.service.FileProcess;

import com.alibaba.fastjson.JSONObject;
import com.gct.dataengine.entity.FileProcess.vo.UploadFileVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

/**
 * interface name: FileProcessService
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/25 下午3:18 周三
 */
public interface FileProcessService {
    String uploadFile(UploadFileVo uploadFileVo);

    String previewImgOrDownLoadFile(String objectName);

    String partUploadUrl(String objectName,Integer partNum);

    boolean composeObject(JSONObject jsonObject);

    String getBucketName(String objectName);

    String uploadImg(File file,String ossName);
}
