package com.gct.dataengine.service.OssBase;

import com.alibaba.fastjson.JSONArray;
import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.OssTemplateGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dataengine.entity.OssBase.vo.AddTemplateGroupVo;
import com.gct.dataengine.entity.OssBase.vo.GetTempGroupVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 模板分组 服务类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
public interface OssTemplateGroupService extends IService<OssTemplateGroup> {

    List<OssTemplateGroup> getTemplateGroup(String tempType);

    boolean addTemplateGroup(AddTemplateGroupVo addTemplateGroupVo);

    boolean deleteTemplateGroup(String groupId);

    List<OssTemplateGroup> getGroupNameList(String tempType);

    List<String> getGroupIdList(String groupId,String tempType);

    Map<String, String> getAllParentName(List<String> ids, String tempType);
}
