package com.gct.dataengine.service.OssBase.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.gct.common.util.StringUtil;
import com.gct.dataengine.entity.OssBase.SupportedDriverFileType;
import com.gct.dataengine.mapper.OssBase.SupportedDriverFileTypeMapper;
import com.gct.dataengine.service.OssBase.SupportedDriverFileTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 驱动文件类型 服务实现类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Service
public class SupportedDriverFileTypeServiceImpl extends ServiceImpl<SupportedDriverFileTypeMapper, SupportedDriverFileType> implements SupportedDriverFileTypeService {

    @Override
    public List<SupportedDriverFileType> getList() {
        List<SupportedDriverFileType> list = baseMapper.selectList(
                new LambdaQueryWrapper<SupportedDriverFileType>().orderByAsc(SupportedDriverFileType::getCreateTime));
        return list.isEmpty() ? new ArrayList<>() : list;
    }
}
