package com.gct.dataengine;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.gct.common.util.StringUtil;
import com.gct.dataengine.entity.OssBase.OssTemplateFile;
import com.gct.dataengine.entity.OssBase.OssTemplateGroup;
import com.gct.dataengine.ossUtil.MinioUtil;
import com.gct.dataengine.service.FileProcess.FileProcessService;
import com.gct.dataengine.service.OssBase.OssDriverFileService;
import com.gct.dataengine.service.OssBase.OssTemplateFileService;
import com.gct.dataengine.service.ElementEngine.StaticElementService;
import com.gct.dataengine.service.OssBase.OssTemplateGroupService;
import org.checkerframework.checker.units.qual.A;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * class name: test
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/25 下午3:37 周三
 */
@SpringBootTest(classes = DataEngineSuitcaseApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class MyTest {

    @Autowired
    FileProcessService fileProcessService;
    @Autowired
    MinioUtil minioUtil;

    @Autowired
    StaticElementService staticElementService;

    @Autowired
    OssDriverFileService ossDriverFileService;

    @Autowired
    OssTemplateFileService ossTemplateFileService;
    @Autowired
    OssTemplateGroupService ossTemplateGroupService;

    @Test
    public void test() {

    }

    @Test
    public void staticElementTest() {
        System.out.println(staticElementService.getBaseMapper().selectList(null));
    }

    @Test
    public void OssDriverFileTest() {
        System.out.println(ossDriverFileService.getBaseMapper().selectList(null));
    }

    @Test
    public void OssTemplateFileService(){
        OssTemplateFile ossTemplateFile = new OssTemplateFile().setFileType("json")
                .setCreator("admin")
                .setEditStatus(1)
                .setDeleted(2)
                .setFileName("ceshi");
//        ossTemplateFileService.saveTemplateFile(ossTemplateFile);
    }
    public static void main(String[] args) {
        File file = new File("/home/gxt/下载/export.json");
        System.out.println("file = " + file.getName());
        int i = file.getName().lastIndexOf(".");
        System.out.println("i = " + i);
        System.out.println(file.getName().substring(i + 1));
    }
}
